libvisio_xml.h File Reference
`#include <memory>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <libxml/xmlreader.h>`

Go to the source code of this file.

## Classes

class | libvisio::XMLErrorWatcher

## Namespaces

namespace | libvisio

## Functions

std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> | libvisio::xmlReaderForStream (librevenge::RVNGInputStream *input, XMLErrorWatcher *const watcher, bool recover)
Colour | libvisio::xmlStringToColour (const xmlChar *s)
Colour | libvisio::xmlStringToColour (const std::shared_ptr< xmlChar > &s)
long | libvisio::xmlStringToLong (const xmlChar *s)
long | libvisio::xmlStringToLong (const std::shared_ptr< xmlChar > &s)
double | libvisio::xmlStringToDouble (const xmlChar *s)
double | libvisio::xmlStringToDouble (const std::shared_ptr< xmlChar > &s)
bool | libvisio::xmlStringToBool (const xmlChar *s)
bool | libvisio::xmlStringToBool (const std::shared_ptr< xmlChar > &s)